﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.Charting;
using System.Globalization;
using Telerik.Charting.Styles;

namespace WindowsFormsApplication3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RadChart chart1 = new RadChart();
            chart1.Dock = DockStyle.Fill;
            this.Controls.Add(chart1);

            List<Data> data = new List<Data>()
            {
                new Data() { Date = "01/02/2001", Price = 271.10d },
                new Data() { Date = "01/03/2001", Price = 267.15d },
                new Data() { Date = "01/04/2001", Price = 267.10d },
                new Data() { Date = "01/05/2001", Price = 267.40d },
                new Data() { Date = "01/06/2001", Price = 262.70d },
                new Data() { Date = "01/08/2001", Price = 268.30d },
                new Data() { Date = "01/09/2001", Price = 267.00d }
            };
            
            ChartSeries ser1 = new ChartSeries("Gold price", ChartSeriesType.Area);
            ser1.DataYColumn = "Price";
            chart1.Series.Add(ser1);
            chart1.PlotArea.XAxis.DataLabelsColumn = "Date";
            chart1.PlotArea.XAxis.LayoutMode = ChartAxisLayoutMode.Normal;

            chart1.DataSource = data;
            chart1.DataBind();
        }
    }

    public class Data
    {
        public string Date { get; set; }
        public double Price { get; set; }
    }
}
